Changes between Initial Version and Version 1 of es:FAQ/Installing YAM


Ignore:
Timestamp:
Sep 22, 2014, 11:27:58 PM (5 years ago)
Author:
Emilio Jimenez
Comment:

Legend:

Unmodified
Added
Removed
Modified
  • es:FAQ/Installing YAM

    v1 v1  
     1[[TranslatedPages(revision=1)]]
     2[[TOC(titleindex, heading=FAQ Contents, notitle, depth=2, FAQ/General Questions, FAQ/Installing YAM, FAQ/Using YAM, FAQ/ARexx Scripting, FAQ/Debugging)]]
     3
     4= [wiki:"Installing YAM" Installing YAM] =
     5[[PageOutline(2-6,,inline)]]
     6
     7== How do I correctly set up several users in YAM? ==
     8YAM is able to handle multiple users, each of them with their own mail accounts. To accomplish this go to the "Settings" menu and select the "Users..." item.
     9
     10In the users window you can create new users. Each user must have its own mail directory to avoid conflicts. The best approach is to keep YAM's own data (program, catalogs, etc) apart from user stuff. That means you should have seperate directories for this, e.g. "YAM:" for all YAM related stuff, and "Mail:" for all the mails.
     11
     12Example:
     13You want to have two users, named "foo" and "bar". Each of these must have its own mail directory. Normally the first user (foo) already exists, because that's the basic user to run YAM. So only "bar" needs to be set up.
     14
     15Create a new user, fill in the real name and optionally a password. The mail directory should be set to "Mail:bar". All the personal stuff of user "bar" will go there: mails, personal address book, spam filter training data, etc. The other settings can be configured as you like. Close the window and restart YAM - it will now prompt you for which user you want to run YAM. All the personal stuff of user "bar" will now end up in "Mail:bar". More users are created in the very same way.
     16
     17__PLEASE NOTE:__
     18There also seems to be a lot of confusion about the MAILDIR tooltype. This one can be used very efficiently with more than one user. Just create as many project icons as necessary and set the default tool to "YAM:YAM" (or whatever YAM's executable is named). Additionally set the tooltypes USER and MAILDIR to the corresponding user name and mail directory. According to the example above you would have two project icons. The first one (named "YAM foo" for example) would have these tooltypes:
     19
     20{{{
     21  USER=foo
     22  MAILDIR=Mail:foo
     23}}}
     24
     25The second one would look like this:
     26
     27{{{
     28  USER=bar
     29  MAILDIR=Mail:bar
     30}}}
     31
     32And one more example:
     33
     34{{{
     35  USER=John Doe
     36  PASSWORD=johnspassword
     37  MAILDIR=Mail:johnsmaildir
     38}}}
     39
     40Please remember to specifiy the complete user name for the USER tooltype.
     41
     42Clicking on the icons will start YAM without further login questions for the desired used.
     43
     44== How can I setup YAM for different e-mail addresses? ==
     45If you get mail from multiple e-mail accounts, but use only one of them to send mail, then setup your e-mail accounts in the TCP/IP - POP3 section of the configuration. YAM can check up to 16 accounts (in YAM 2.6+ even unlimited) automatically. If more than one person is using YAM for his/her email, or if you need to send messages from different e-mail addresses, then go to 'Settings/Users' main menu entry and add a user account for each of them. If only a single person is using YAM but has multiple email adresses you can use the new multi-identity feature available in YAM 2.8+.
     46
     47== YAM 2.5 requires newlib.library v52.20 or newer but I don't seem to have it. Where do I get that latest version? ==
     48Since version 2.5, a PowerPC (PPC) native version of YAM for AmigaOS4 is supplied. The binary however does require the user to have the July Update of AmigaOS4 Final to be installed. This update can be normally obtained via the website of Hyperion Entertainment (http://www.hyperion-entertainment.biz/).
     49
     50So in case YAM pops up a requester reminding you that it requires a newer newlib.library version, please make sure that you really have the very latest AmigaOS4 update properly installed for your hardware platform. And please note that newlib.library is an integral part of AmigaOS4 and not available seperately or for other platforms.
     51